# dict
REST API of the SYSNET managed dictionaries (code lists) system.  Primarily designed for the CITES Registry. 

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 1.0.0
- Package version: 1.0.0
- Build package: io.swagger.codegen.v3.generators.python.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:

```python
import dict
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:

```python
import dict
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import dict
from dict.rest import ApiException
from pprint import pprint

# Configure API key authorization: apiKey
configuration = dict.Configuration()
configuration.api_key['X-API-KEY'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-API-KEY'] = 'Bearer'

# create an instance of the API class
api_instance = dict.AdminsApi(dict.ApiClient(configuration))
dictionary = 'dictionary_example'  # str | Dictionary identifier
key = 'key_example'  # str | Descriptor key or alternate key
active = True  # bool | activate/deactivate descriptor

try:
    # activates/deactivates the descriptor by key
    api_response = api_instance.activate_descriptor(dictionary, key, active)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AdminsApi->activate_descriptor: %s\n" % e)

# Configure API key authorization: apiKey
configuration = dict.Configuration()
configuration.api_key['X-API-KEY'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-API-KEY'] = 'Bearer'

# create an instance of the API class
api_instance = dict.AdminsApi(dict.ApiClient(configuration))
dictionary = 'dictionary_example'  # str | Dictionary identifier
body = dict.Descriptor()  # Descriptor | Descriptor to add (optional)

try:
    # adds an descriptor
    api_instance.add_descriptor(dictionary, body=body)
except ApiException as e:
    print("Exception when calling AdminsApi->add_descriptor: %s\n" % e)

# Configure API key authorization: apiKey
configuration = dict.Configuration()
configuration.api_key['X-API-KEY'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-API-KEY'] = 'Bearer'

# create an instance of the API class
api_instance = dict.AdminsApi(dict.ApiClient(configuration))
dictionary = 'dictionary_example'  # str | Dictionary identifier
key = 'key_example'  # str | Descriptor key or alternate key

try:
    # removes a descriptor
    api_response = api_instance.delete_descriptor(dictionary, key)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AdminsApi->delete_descriptor: %s\n" % e)

# Configure API key authorization: apiKey
configuration = dict.Configuration()
configuration.api_key['X-API-KEY'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-API-KEY'] = 'Bearer'

# create an instance of the API class
api_instance = dict.AdminsApi(dict.ApiClient(configuration))

try:
    # exports all descriptors from the system
    api_response = api_instance.export_all()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AdminsApi->export_all: %s\n" % e)

# Configure API key authorization: apiKey
configuration = dict.Configuration()
configuration.api_key['X-API-KEY'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-API-KEY'] = 'Bearer'

# create an instance of the API class
api_instance = dict.AdminsApi(dict.ApiClient(configuration))
dictionary = 'dictionary_example'  # str | Dictionary identifier

try:
    # exports all descriptors from specifies dictionary
    api_response = api_instance.export_dictionary(dictionary)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AdminsApi->export_dictionary: %s\n" % e)

# Configure API key authorization: apiKey
configuration = dict.Configuration()
configuration.api_key['X-API-KEY'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-API-KEY'] = 'Bearer'

# create an instance of the API class
api_instance = dict.AdminsApi(dict.ApiClient(configuration))
body = [dict.Descriptor()]  # list[Descriptor] | Array of descriptors to import (optional)
replace = True  # bool | replaces whole database (optional)

try:
    # imports descriptors of several directories
    api_response = api_instance.import_descriptors(body=body, replace=replace)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AdminsApi->import_descriptors: %s\n" % e)

# Configure API key authorization: apiKey
configuration = dict.Configuration()
configuration.api_key['X-API-KEY'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-API-KEY'] = 'Bearer'

# create an instance of the API class
api_instance = dict.AdminsApi(dict.ApiClient(configuration))
dictionary = 'dictionary_example'  # str | Dictionary identifier
body = [dict.Descriptor()]  # list[Descriptor] | Array of descriptors to import (optional)
replace = True  # bool | replaces existing dictionary (optional)

try:
    # imports a dictionary
    api_response = api_instance.import_dictionary(dictionary, body=body, replace=replace)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AdminsApi->import_dictionary: %s\n" % e)

# Configure API key authorization: apiKey
configuration = dict.Configuration()
configuration.api_key['X-API-KEY'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-API-KEY'] = 'Bearer'

# create an instance of the API class
api_instance = dict.AdminsApi(dict.ApiClient(configuration))
dictionary = 'dictionary_example'  # str | Dictionary identifier
key = 'key_example'  # str | Descriptor key or alternate key
body = dict.Descriptor()  # Descriptor | Descriptor to replace (optional)

try:
    # replaces a descriptor
    api_response = api_instance.put_descriptor(dictionary, key, body=body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AdminsApi->put_descriptor: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to *https://virtserver.swaggerhub.com/SYSNET/dictionary/1.0.0*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AdminsApi* | [**activate_descriptor**](docs/AdminsApi.md#activate_descriptor) | **GET** /{dictionary}/{key}/activate | activates/deactivates the descriptor by key
*AdminsApi* | [**add_descriptor**](docs/AdminsApi.md#add_descriptor) | **POST** /{dictionary} | adds an descriptor
*AdminsApi* | [**delete_descriptor**](docs/AdminsApi.md#delete_descriptor) | **DELETE** /{dictionary}/{key} | removes a descriptor
*AdminsApi* | [**export_all**](docs/AdminsApi.md#export_all) | **GET** /export | exports all descriptors from the system
*AdminsApi* | [**export_dictionary**](docs/AdminsApi.md#export_dictionary) | **GET** /{dictionary}/export | exports all descriptors from specifies dictionary
*AdminsApi* | [**import_descriptors**](docs/AdminsApi.md#import_descriptors) | **POST** /import | imports descriptors of several directories
*AdminsApi* | [**import_dictionary**](docs/AdminsApi.md#import_dictionary) | **POST** /{dictionary}/import | imports a dictionary
*AdminsApi* | [**put_descriptor**](docs/AdminsApi.md#put_descriptor) | **PUT** /{dictionary}/{key} | replaces a descriptor
*DevelopersApi* | [**info_api**](docs/DevelopersApi.md#info_api) | **GET** /info | gets service info
*PublicApi* | [**get_descriptor**](docs/PublicApi.md#get_descriptor) | **GET** /{dictionary}/{key} | gets a descriptor by key
*PublicApi* | [**search_dictionary**](docs/PublicApi.md#search_dictionary) | **GET** /{dictionary} | searches dictionary (autocomplete)

## Documentation For Models

 - [Descriptor](docs/Descriptor.md)
 - [DescriptorValue](docs/DescriptorValue.md)
 - [ImportedItem](docs/ImportedItem.md)
 - [ReplyImported](docs/ReplyImported.md)

## Documentation For Authorization


## apiKey

- **Type**: API key
- **API key parameter name**: X-API-KEY
- **Location**: HTTP header


## Author

info@sysnet.cz
